# Uses of Class
bsh.NameSpace

Packages that use NameSpace
Package
Description
bsh
bsh.util

## Uses of NameSpace in bsh

Subclasses of NameSpace in bsh
Modifier and Type
Class
Description
`class`
`ExternalNameSpace`
A namespace which maintains an external map of values held in variables in its scope.
Fields in bsh declared as NameSpace
Modifier and Type
Field
Description
`static final NameSpace`
NameSpace.`JAVACODE`
Methods in bsh that return NameSpace
Modifier and Type
Method
Description
`NameSpace`
CallStack.`get(int depth)`
zero based.
`NameSpace`
Interpreter.`getNameSpace()`
Get the global namespace of this interpreter.
`NameSpace`
This.`getNameSpace()`
`NameSpace`
NameSpace.`getParent()`
Get the parent namespace.
`NameSpace`
CallStack.`pop()`
`NameSpace`
CallStack.`swap(NameSpace newTop)`
Swap in the value as the new top of the stack and return the old value.
`NameSpace[]`
CallStack.`toArray()`
`NameSpace`
CallStack.`top()`
Methods in bsh with parameters of type NameSpace
Modifier and Type
Method
Description
`static void`
This.`bind(This ths, NameSpace namespace, Interpreter declaringInterpreter)`
Bind a This reference to a parent's namespace with the specified declaring interpreter.
`Object`
Interpreter.`eval(Reader in, NameSpace nameSpace, String sourceFileInfo)`
Spawn a non-interactive local interpreter to evaluate text in the specified namespace.
`Object`
Interpreter.`eval(String statements, NameSpace nameSpace)`
Evaluate the string in the specified namespace.
`void`
CallStack.`push(NameSpace ns)`
`void`
CallStack.`set(int depth, NameSpace ns)`
This is kind of crazy, but used by the setNameSpace command.
`abstract void`
ClassGenerator.`setInstanceNameSpaceParent(Object instance, String className, NameSpace parent)`
Change the parent of the class instance namespace.
`void`
ClassGeneratorImpl.`setInstanceNameSpaceParent(Object instance, String className, NameSpace parent)`
Change the parent of the class instance namespace.
`void`
Interpreter.`setNameSpace(NameSpace globalNameSpace)`
Set the global namespace for this interpreter.
`void`
NameSpace.`setParent(NameSpace parent)`
`Object`
Interpreter.`source(String filename, NameSpace nameSpace)`
Read text from fileName and eval it.
`NameSpace`
CallStack.`swap(NameSpace newTop)`
Swap in the value as the new top of the stack and return the old value.
Constructors in bsh with parameters of type NameSpace
Modifier
Constructor
Description
``
`CallStack(NameSpace namespace)`
``
`ClassGeneratorUtil(Modifiers classModifiers, String className, String packageName, Class superClass, Class[] interfaces, Variable[] vars, DelayedEvalBshMethod[] bshmethods, NameSpace classStaticNameSpace, boolean isInterface)`
``
`ExternalNameSpace(NameSpace parent, String name, Map externalMap)`
``
`Interpreter(ConsoleInterface console, NameSpace globalNameSpace)`
Construct a new interactive interpreter attached to the specified console using the specified parent namespace.
``
`Interpreter(Reader in, PrintStream out, PrintStream err, boolean interactive, NameSpace namespace)`
``
`Interpreter(Reader in, PrintStream out, PrintStream err, boolean interactive, NameSpace namespace, Interpreter parent, String sourceFileInfo)`
The main constructor.
``
`NameSpace(NameSpace parent, BshClassManager classManager, String name)`
``
`NameSpace(NameSpace parent, String name)`
`protected`
`This(NameSpace namespace, Interpreter declaringInterpreter)`
``
`XThis(NameSpace namespace, Interpreter declaringInterp)`

## Uses of NameSpace in bsh.util

Constructors in bsh.util with parameters of type NameSpace
Modifier
Constructor
Description
``
`Sessiond(NameSpace globalNameSpace, int port)`